perl modules installation error

  • sybella1
  • Born
  • Born
  • sybella1
  • Posts: 1

Post 3+ Months Ago

Hello All,

I'm new to this forum and linux.
I'm trying to install some perl modules on suse 9.1.
I think i have a problem with 'make' or 'makefile'.
This is the error i'm getting when i run ('perl -MCPAN -e shell' THEN 'install HTML::Parser'):

make: *** Makefile Error 1
/usr/bin/make --Not OK
Running make test
Can't test without successful make
Running make install
make had returned bad status, install seems impossible
-----

But when i tried to install 'Ispconfig' i got the following error when run (./setup):

make: Warning: File 'Makefile.org' has modification time 1.4e+08 s in the future.
Makefile is older than Makefile.org, configure or config.
Reconfigure the source tree (via ./config or perl configure), please.
make: *** Makefile Error 1.
ERROR: Could not make OpenSSL.
---

Any info/resources on how to solve the above problem/s would great.

Thanks for your replies in advance.
regards;
sybella
  • desertland
  • Graduate
  • Graduate
  • desertland
  • Posts: 206

Post 3+ Months Ago

I'd try downloading the module from CPAN, and then manually instaling it. There might be some special options you need to add when you run "./configure" in the module's directory. Take a look at the documentation that comes with the module and see what it says.

Post Information

  • Total Posts in this topic: 2 posts
  • Users browsing this forum: No registered users and 11 guests
  • You cannot post new topics in this forum
  • You cannot reply to topics in this forum
  • You cannot edit your posts in this forum
  • You cannot delete your posts in this forum
  • You cannot post attachments in this forum
 
 

© 1998-2014. Ozzu® is a registered trademark of Unmelted, LLC.